
function [Data1 bit_vector, Fs, bits] = loadSound(filename, numberOfsamples, plots) 
[DataIn, Fs, bits] = wavread(filename);

DataIn3 = round((DataIn*128+128).');

Data1 = DataIn3(1:numberOfsamples/bits);    

%Creating the sound to transmitt
wavwrite((Data1-(2^(bits-1)))/(2^(bits-1)), 'soundIn.wav')

%Decimal to binary
DataIn2 = dec2bin(Data1);

%Creating continuos bit vector
dim = size(DataIn2); 
bit_vector = zeros(dim(1)*dim(2), 1);
teller = 1;
for j = 1:dim(1)
    for k = 1:dim(2)
        bit_vector(teller) = str2num(DataIn2(j, k)); 
        teller = teller + 1;
    end
end


