clc;
clear all;
close all;

symbollength = 200e-3;                      %Length of the symbols
bandwidth = 2560;                           %Bandwidth in Hz
numberofcarriers = 512;                      %Number of carriers
numberofsymbols = 20;                       %Number of OFDM symbols
guard_time = 40e-3;                         %Guard_time in seconds
plots = 1;                                  %Plots figures if value is set to 1
channel_delay = 0;                          %Delay in seconds
phase_error = 0;                            %Phase error in radians
signal_to_noise_ratio = -1;                 %The chosen SNR in dB for the channel, -1 removes the noise
impulseresponse = 0;                        %1: enable channel impulse response

OFDMtransmitter(symbollength, bandwidth, guard_time, 'sound', numberofcarriers, numberofsymbols, plots);

channelMod(channel_delay, signal_to_noise_ratio, phase_error, impulseresponse);

OFDMreceiver;

